#
#     `.:/++++++++++++:.`
#   `/syys+++++++++++oyys/`    'oracle'
#  `oyy/`             `:yys`   Make interacting with Oracle Cloud from within Ruby easier.
#  :yy/                 :yy/   Opinionated client and associated PORO to represent resources.
#  /yy/                 :yy/
#  `syy:`             `:yys`   Copyright (c) 2016, Alex Howells <alex@howells.me>
#   `/syyo+++++++++++osyy/`    Please see LICENSE in the repository root.
#     `-/++ooooooooo++/-`
#
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'oracle/version'

Gem::Specification.new do |spec|
  spec.name          = 'oracle'
  spec.summary       = 'Make interacting with Oracle Cloud from within Ruby easier. ' +
                       'Opinionated client and associated PORO to represent resources.'
  spec.version       = Oracle::VERSION
  spec.license       = 'MIT'

  spec.authors       = ['Alex Howells']
  spec.email         = ['alex@howells.me']
  spec.homepage      = 'https://github.com/agh/oracle'

  spec.files         = `git ls-files -z`.split("\x0").reject { |f| f.match(%r{^(test|spec|features)/}) }
  spec.executables   = spec.files.grep(%r{^bin/}) { |f| File.basename(f) }
  spec.require_paths = ['lib']

  spec.required_ruby_version = '>= 2.3.1'

  spec.add_development_dependency 'pry', '~> 0.10'
  spec.add_development_dependency 'rake', '~> 11.1'
  spec.add_development_dependency 'rubocop', '~> 0.40'
end
